Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Keywords:
Status: CLOSED DUPLICATE of bug 59810
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-06 05:40 UTC by Jan Martinek
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 18:50:05 UTC


Attachments (Terms of Use)

Description Jan Martinek 2002-11-06 05:40:02 UTC
Description of Problem:

When a new user account is created by using useradd command,
a new empty mailbox is created in /var/spool/mail/newuser
with these permissions:
-rw-rw----   newuser  newgroup 
But if two (or more) users have the same GID, they can read
(and modify) each others mail. 

Version-Release number of selected component (if applicable):
shadow-utils-20000902-12

This is what I found in changelog of shadow-utils:
It probably has something to do with the problem mentioned
above.

* Wed May 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 20000902-1
  - Create an empty mailspool when creating a user so non-setuid/non-setgid
    MDAs (postfix+procmail) can deliver mail (#41811)

How Reproducible:

every time

Steps to Reproduce:
1. useradd -g users newuser1
2. useradd -g users newuser2
3. Now the newuser1 and newuser2 can read and modify each others mail

Actual Results:
see above

Expected Results:
Even if this is done deliberately, I would expect useradd command
to WARN about this potential security flaw.

Additional Information:

Comment 1 Mark J. Cox 2003-02-11 13:28:39 UTC

*** This bug has been marked as a duplicate of 59810 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:50:05 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.